<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeDecisionPositionIdInDecisionPollsOptionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('decision_polls_option', function (Blueprint $table) {
            $table->dropForeign('decision_polls_option_decision_position_id_foreign');
            $table->renameColumn('decision_position_id', 'decision_polls_id');
            
            $table->foreign('decision_polls_id')->references('UUID')->on('decision_polls');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('decision_polls_option', function (Blueprint $table) {
            //
        });
    }
}
