<?php

use Illuminate\Database\Seeder;

class UsersTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('users')->delete();
        DB::table('users')->insert([
            'name'              => 'Admin',
            'UUID'              => Uuid::generate()->string,
            'email'             => 'admin@admin.com',
            'password'          => Hash::make('rr113Password' . 'abcdef45674'),
            'type'              => 'admin',
            'confirmation_code' => 1,
            'active'            => 1
        ]);
        
        DB::table('users')->insert([
            'name'              => 'Coach',
            'UUID'              => Uuid::generate()->string,
            'email'             => 'coach@coach.com',
            'password'          => Hash::make('ccrtyPassword' . 'abcdef45674'),
            'type'              => 'coach',
            'confirmation_code' => 1,
            'active'            => 1
        ]);
        
        DB::table('users')->insert([
            'name'              => 'Manager',
            'UUID'              => Uuid::generate()->string,
            'email'             => 'manager@manager.com',
            'password'          => Hash::make('15tyuPassword' . 'abcdef45674'),
            'type'              => 'manager',
            'confirmation_code' => 1,
            'active'            => 1
        ]);
        
        DB::table('users')->insert([
            'name'              => 'President',
            'UUID'              => Uuid::generate()->string,
            'email'             => 'president@president.com',
            'password'          => Hash::make('hg678Password' . 'abcdef45674'),
            'type'              => 'president',
            'confirmation_code' => 1,
            'active'            => 1
        ]);
    }
}
