<?php echo $__env->make('includes.admin.header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php echo $__env->make('includes.admin.sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<script>
    $(document).ready(function(){
        $('#reports-menu').addClass('active');
    });
</script>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Player Evaluation - Schedule List
            <small>From Schedules</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Player Evaluation - Schedule</a></li>
            <li class="active">Player Evaluation - All Schedule</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">All Schedule</h3>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                  <table class="table table-bordered table-striped">
                      <thead>
                        <tr>
                          <th>#</th>
                          <th>
                              Name
                          </th>
                          <th>Date & Time</th>
                          <th>Ground</th>
                          <th>Opposite Team</th>
                          <th>Result</th>
                          <th>Actions</th>
                        </tr>
                      </thead>
                      <tbody>
                            <?php if($schedules->count() > 0): ?>
                            <?php $__currentLoopData = $schedules; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $schedule): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                  
                                </td>
                                <td>
                                    <?php echo e($schedule['name']); ?>

                                </td>
                                <td>
                                    <?php echo e(date("d M Y", strtotime($schedule['date_date']))); ?>

                                    <?php echo e(date("H:i:s", strtotime($schedule['time_time']))); ?>

                                </td>
                                <td>
                                    <?php echo e($schedule['ground']); ?>

                                </td>
                                <td>
                                    <?php echo e($schedule['opposite_team_det']['name']); ?>

                                </td>
                                <td>
                                    <?php echo e($schedule['result']); ?>

                                </td>
                                <td>
                                   
                                    <a href="/admin/reports/player/evaluation/schedule/<?php echo e($schedule['UUID']); ?>" class=" btn btn-xs btn-success" data-name="<?php echo e($schedule['name']); ?>" data-id="<?php echo e($schedule['UUID']); ?>"><i class="glyphicon glyphicon-eye-open"></i></a>
  <!--                                    <a href="#" class="btn btn-sm bg-orange">vote of players</a>-->
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                      </tbody>
                    
		
                  </table>
                </div><!-- /.box-body -->
<!--                <div class="box-footer clearfix">
                  <ul class="pagination pagination-sm no-margin pull-right">
                    <li><a href="#">&laquo;</a></li>
                    <li><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">&raquo;</a></li>
                  </ul>
                </div>-->
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
<?php echo $__env->make('includes.admin.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>